Skip to main content
POST
/
support
/
tickets
Create ticket
curl --request POST \
  --url https://xquik.com/api/v1/support/tickets \
  --header 'Content-Type: <content-type>' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "subject": "<string>",
  "body": "<string>"
}
'
import requests

url = "https://xquik.com/api/v1/support/tickets"

payload = {
"subject": "<string>",
"body": "<string>"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "<content-type>"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': '<content-type>'},
body: JSON.stringify({subject: '<string>', body: JSON.stringify('<string>')})
};

fetch('https://xquik.com/api/v1/support/tickets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
package main

import (
"fmt"
"strings"
"net/http"
"io"
)

func main() {

url := "https://xquik.com/api/v1/support/tickets"

payload := strings.NewReader("{\n \"subject\": \"<string>\",\n \"body\": \"<string>\"\n}")

req, _ := http.NewRequest("POST", url, payload)

req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Content-Type", "<content-type>")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))

}
Free - does not consume credits
Support tickets are free for all authenticated users.
curl -X POST https://xquik.com/api/v1/support/tickets \
  -H "x-api-key: xq_YOUR_KEY_HERE" \
  -H "Content-Type: application/json" \
  -d '{
    "subject": "Cannot connect X account",
    "body": "I keep getting a connection error when trying to link my account."
  }' | jq
const response = await fetch("https://xquik.com/api/v1/support/tickets", {
  method: "POST",
  headers: {
    "x-api-key": "xq_YOUR_KEY_HERE",
    "Content-Type": "application/json",
  },
  body: JSON.stringify({
    subject: "Cannot connect X account",
    body: "I keep getting a connection error when trying to link my account.",
  }),
});
const data = await response.json();
import requests

response = requests.post(
    "https://xquik.com/api/v1/support/tickets",
    headers={"x-api-key": "xq_YOUR_KEY_HERE"},
    json={
        "subject": "Cannot connect X account",
        "body": "I keep getting a connection error when trying to link my account.",
    },
)
data = response.json()
package main

import (
    "bytes"
    "encoding/json"
    "fmt"
    "net/http"
)

func main() {
    body, _ := json.Marshal(map[string]interface{}{
        "subject": "Cannot connect X account",
        "body":    "I keep getting a connection error when trying to link my account.",
    })

    req, err := http.NewRequest("POST", "https://xquik.com/api/v1/support/tickets", bytes.NewReader(body))
    if err != nil {
        panic(err)
    }
    req.Header.Set("x-api-key", "xq_YOUR_KEY_HERE")
    req.Header.Set("Content-Type", "application/json")

    resp, err := http.DefaultClient.Do(req)
    if err != nil {
        panic(err)
    }
    defer resp.Body.Close()

    var data map[string]interface{}
    if err := json.NewDecoder(resp.Body).Decode(&data); err != nil {
        panic(err)
    }
    fmt.Println(data)
}

Headers

x-api-key
string
required
Your API key. Session cookie authentication is also supported. Generate a key from the dashboard.
Content-Type
string
required
Must be application/json.

Body

subject
string
required
Ticket subject. 1-500 characters.
body
string
required
Initial message. 1-10,000 characters.

Response

publicId
string
Unique ticket public ID.
{
  "publicId": "tkt_a1b2c3d4e5f6a1b2c3d4e5f6"
}
Next steps: List Tickets to see all your tickets, Get Ticket to fetch details and message history, or Reply to Ticket to add a message.
Last modified on May 6, 2026